---
title: "Pull Request Template"
checklist:
- [ ] Clear description explaining the relevancy of the contribution.
- [ ] Unit, integration, and system tests.
- [ ] Regression and bugs are covered with tests.
- [ ] [Performance guidelines](https://docs.gitlab.com/ee/development/merge_request_performance_guidelines.html)
- [ ] [Secure coding guidelines](https://docs.gitlab.com/ee/development/secure_coding_guidelines.html)
- [ ] Documentation Updated
---

# Why is this needed?

## What does this do?

<!--
  Include a summary of the change and which issue is fixed.
  Include relevant motivation and context.
  List any dependencies that are required for this change.
-->

Fixes # (issue)

### Screenshots

Before:

![Before][before]

After:

![After][after]

## Type of change

<!-- Delete options that are not relevant. -->

- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] This change requires a documentation update

## Verification Plan

<!-- How are we going to verify this change? -->

- [ ] Step 1
- [ ] Step 2

[after]: https://user-images.githubusercontent.com/x/y.png
[before]: https://user-images.githubusercontent.com/x/y.png
